List approvals
GET /api/approvals
GET /api/approvalsInteractive request editor loads with JavaScript.
In: header
Query Parameters
Approval status.
Value in
- "pending"
- "finished"
Approval outcome.
Value in
- "accepted"
- "rejected"
- "cancelled"
Approval event.
Value in
- "api_product_subscription"
- "developer_registration"
Resource type.
Value in
- "api_product"
- "developer"
Resource name.
Operator name.
Applicant name.
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order approvals by.
"applied_at"Value in
- "applied_at"
- "resource_name"
- "operated_at"
Condition to search resources by.
Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/approvals?search=version%253Dv2"Successfully retrieved the paginated list of approval requests.
{
"total": 1,
"list": [
{
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": 1742288232,
"updated_at": 1742288235,
"event": "api_product_subscription",
"resource_type": "api_product",
"resource_id": "cf232ad4-2e9a-4dc0-ad6f-9c1a898465ae",
"resource_name": "Weather Insights API",
"applicant_type": "developer",
"applicant_id": "78c93683-3eb3-4129-bb57-3a564a0ab2b0",
"applicant_name": "dev1",
"applied_at": 1742288230,
"result": "accepted",
"operator_id": "bf073ca7-ada6-4e75-be80-730436798cce",
"operator_name": "admin1",
"operated_at": 1742288230,
"portal_id": "string",
"portal_name": "string",
"status": "pending"
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/approvals
List approvals
List pending and processed approval workflow items for developer portal operations, such as API product subscriptions and developer registrations. Use filters to review approvals by status, event type, operator, applicant, and resource.
Required IAM Permission: For event type api_product_subscription: Action portal:ApproveAPIProductSubscription, Resource arn:api7:portal:portal/%s/apiproduct/%s; for event type developer_registration: Action portal:ApproveDeveloperSignUp, Resource arn:api7:portal:portal/%s/developer/*
Parameters
status(query, string, optional):result(query, string, optional):event(query, string, optional):resource_type(query, string, optional):resource_name(query, string, optional): Resource name.operator_name(query, string, optional): Operator name.applicant_name(query, string, optional): Applicant name.page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional):search(query, string, optional): Condition to search resources by.
Responses
200: Successfully retrieved the paginated list of approval requests.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): The array of approval.list[].id(string, optional): The object ID.list[].created_at(integer, optional): The object created timestamp.list[].updated_at(integer, optional): The object updated timestamp.list[].event(string, optional): Approval event.list[].resource_type(string, optional): Resource type.list[].resource_id(string, optional): The resource ID.list[].resource_name(string, optional): Resource name.list[].applicant_type(string, optional): Applicant type.list[].applicant_id(string, optional): Whenapplicant_typeisdeveloper, the applicant ID is the developer ID.list[].applicant_name(string, optional): Whenapplicant_typeisdeveloper, the applicant name is the developer name.list[].applied_at(integer, optional): The object timestamp.list[].result(string, optional): Approval outcome.list[].operator_id(string, optional): Operator ID.list[].operator_name(string, optional): Operator name.list[].operated_at(integer, optional): The object timestamp.list[].portal_id(string, optional): Portal ID.list[].portal_name(string, optional): Portal name.list[].status(string, optional): Approval status.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/approvals'